Retrieve a company location catalog
GET https://{handle}.myshopline.com/admin/openapi/v20261201/company_location_catalog/:catalog_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Retrieve a company location catalog.
Path Parameters
- catalog_id string requiredThe ID of catalog.Example:
6598087148213149672
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
catalogobject
Returned a company location catalog.catalog_id stringThe ID of company location catalog.Example:6598087148213149672create_at stringCreate time of the catalogExample:2024-08-14T00:17:55+08:00currency_code stringCurrency codeExample:USDstatus integerThe status of the specified catalog, with a value of1representing active status and a value of2representing draft status.Example:1title stringThe title of company location catalog.Example:A catalog titleadjustment_type integerThe type of percentage adjustment, with a value of1for decreasing the price and a value of2for increasing the price.Example:1adjustment_value integerThe adjustment value based onadjustment_type, formatted as a percentage.- When decreasing the price, the value is limited to 0-100.
- When increasing the price, the value is limited to 0-10,000.
Example:50auto_add_product booleanWhether newly added products should automatically be included in the catalog. Defaults tofalseif not specified.Example:true
API Explorer
Debugger
Was this article helpful to you?